package me.teridax.jcash.banking.management;

import org.junit.Test;

import java.nio.file.Paths;

public class BankingManagementSystemTest {

    @Test
    public void test() {
        BankingManagementSystem.loadFromCsv(Paths.get("res/banking_valid.csv"));
        BankingManagementSystem.loadFromCsv(Paths.get("res/banking_valid_other_formats.csv"));
    }

    @Test(expected = IllegalArgumentException.class)
    public void testInvalid() {
        BankingManagementSystem.loadFromCsv(Paths.get("res/banking_invalid.csv"));
    }
}
